Activate an Originator
curl --request POST \
--url https://api.sandbox.lead.bank/v0/originators/{originator_id}/activate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {}
}'import requests
url = "https://api.sandbox.lead.bank/v0/originators/{originator_id}/activate"
payload = { "metadata": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({metadata: {}})
};
fetch('https://api.sandbox.lead.bank/v0/originators/{originator_id}/activate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "originator_xyz123",
"account_id": "account_xyz123",
"entity_id": "entity_xyz123",
"status": "active",
"company_name": "Acme Inc.",
"company_id": 1234567890,
"ach": {
"allowed_sec_codes": [
"WEB"
],
"limits": {
"calendar_day_maximum_amount": {
"credit": 495000000000,
"debit": 495000000000
},
"rolling_30_calendar_day_maximum_amount": {
"credit": 495000000000,
"debit": 495000000000
}
},
"nested_third_parties": [
"entity_xyz123"
]
},
"metadata": {},
"created_at": "2022-06-27T11:22:33Z",
"updated_at": "2022-06-27T11:22:33Z"
}{
"code": "parameters_invalid",
"title": "Your request parameters did not validate.",
"status": "400"
}{
"code": "operation_not_allowed",
"title": "Operation cannot be done on this object.",
"status": "403"
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}ACH Originator
Activate an Originator
Activate an Originator.
POST
/
v0
/
originators
/
{originator_id}
/
activate
Activate an Originator
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Idempotency key
Maximum string length:
255Path Parameters
The ID of the originator to be activated.
Pattern:
^originator_\w+$Body
application/json
Updated metadata for the Originator.
Show child attributes
Show child attributes
Response
Successful response
The ID of the Originator.
Pattern:
^originator_\w+$Example:
"originator_xyz123"
The ID of the Account object.
Pattern:
^account_\w+$Example:
"account_xyz123"
The ID of your entity.
Pattern:
^entity_[^\s]{1,33}$Example:
"entity_xyz123"
Originator Status
Available options:
pending, active, inactive, rejected, canceled, suspended Example:
"active"
Maximum string length:
16Example:
"Acme Inc."
ACH Company Id
Pattern:
^\d{10}$Example:
1234567890
ACH controls for originators.
Show child attributes
Show child attributes
A set of key-value pairs that can be used to store additional information related to this object.
Show child attributes
Show child attributes
Example:
"2022-06-27T11:22:33Z"
Example:
"2022-06-27T11:22:33Z"
Was this page helpful?
โI

